"""
    gestion.urls, un module pour SLM
    - définitions des URLs

    Copyright (C) 2023 Georges Khaznadar <georgesk@debian.org>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from django.urls import path
from . import views

urlpatterns = [
    path('', views.index, name='index'),
    path('index', views.index, name='index'),
    path('prets', views.prets, name='prets'),
    path('prets_go', views.prets_go, name='prets_go'),
    path('prete_livre', views.prete_livre, name='prete_livre'),
    path('tableau_prets', views.tableau_prets, name='tableau_prets'),
    path('tableau_retours', views.tableau_retours, name='tableau_retours'),
    path('prets_mkPDF', views.prets_mkPDF, name='prets_mkPDF'),
    path('avenant_mkPDF', views.avenant_mkPDF, name='avenant_mkPDF'),
    path('correspondance_nom', views.correspondance_nom, name='correspondance_nom'),
    path('correspondance_classe', views.correspondance_classe, name='correspondance_classe'),
    path('correspondance_livre', views.correspondance_livre, name='correspondance_livre'),
    path('stats', views.stats, name='stats'),
    path('classe', views.classe, name='classe'),
    path('liste_manuels', views.liste_manuels, name='liste_manuels'),
    path('achats_inventaire', views.achats_inventaire, name='achats_inventaire'),
    path('inventaire', views.inventaire, name='inventaire'),
    path('inventaire_premiers', views.inventaire_premiers, name='inventaire_premiers'),
    path('inventaire_premiers_pretes', views.inventaire_premiers_pretes, name='inventaire_premiers_pretes'),
    path('inventaire_suivants', views.inventaire_suivants, name='inventaire_suivants'),
     path('inventaire_suivantsPretes', views.inventaire_suivantsPretes, name='inventaire_suivantsPretes'),
   path('aqui', views.aqui, name='aqui'),
    path('parametres', views.parametres, name='parametres'),
    path('inventaire', views.inventaire, name='inventaire'),
    path('apropos', views.apropos, name='apropos'),
    path('assistance', views.assistance, name='assistance'),
    path('constantes', views.constantes, name='constantes'),
    path('constantes_del', views.constantes_del, name='constantes_del'),
    path('constantes_modif', views.constantes_modif, name='constantes_modif'),
    path('catalogue', views.catalogue, name='catalogue'),
    path('catalogue_del', views.catalogue_del, name='catalogue_del'),
    path('catalogue_modif', views.catalogue_modif, name='catalogue_modif'),
    path('catalogue_print', views.catalogue_print, name='catalogue_print'),
    path('purger_prets', views.purger_prets, name='purger_prets'),
    path('purger_prets_premiers', views.purger_prets_premiers, name='purger_prets_premiers'),
    path('purger_prets_suivants', views.purger_prets_suivants, name='purger_prets_suivants'),
    path('purger_prets_go', views.purger_prets_go, name='purger_prets_go'),
    path('siecle', views.siecle, name='siecle'),
    path('eleves', views.eleves, name='eleves'),
    path('cartes', views.cartes, name='cartes'),
    path('bon_de_commande', views.bon_de_commande, name='bon_de_commande'),
    path('tarif', views.tarif, name='tarif'),
    path('codes_barres', views.codes_barres, name='codes_barres'),
    path('codes_barres_print', views.codes_barres_print, name='codes_barres_print'),
    path('codes_barres_print_go', views.codes_barres_print_go, name='codes_barres_print_go'),
    path('codes_barres_preview', views.codes_barres_preview, name='codes_barres_preview'),
    path('cartes_membres_print', views.cartes_membres_print, name='cartes_membres_print'),
    path('cartes_membres_print_go', views.cartes_membres_print_go, name='cartes_membres_print_go'),
    path('cartes_membres_print_verso', views.cartes_membres_print_verso, name='cartes_membres_print_verso'),
    path('cartes_membres_print_verso_go', views.cartes_membres_print_verso_go, name='cartes_membres_print_verso_go'),
    path('fiches_suivi_print_go', views.fiches_suivi_print_go, name='fiches_suivi_print_go'),
    path('retours', views.retours, name='retours'),
    path('rend_livre', views.rend_livre, name='rend_livre'),
    path('annule_retour', views.annule_retour, name='annule_retour'),
    path('change_etat_manuel_rendu', views.change_etat_manuel_rendu, name='change_etat_manuel_rendu'),
    path('traite_perte', views.traite_perte, name='traite_perte'),
    path('sauvegarde', views.sauvegarde, name='sauvegarde'),
    path('saveDB', views.saveDB, name='saveDB'),
    path('eleves_pretes_premiers', views.eleves_pretes_premiers, name='eleves_pretes_premiers'),
    path('eleves_pretes_suivants', views.eleves_pretes_suivants, name='eleves_pretes_suivants'),
    path('eleves_sans_prets_premiers', views.eleves_sans_prets_premiers, name='eleves_sans_prets_premiers'),
    path('eleves_sans_prets_suivants', views.eleves_sans_prets_suivants, name='eleves_sans_prets_suivants'),
    path('messages_modif', views.messages_modif, name='messages_modif'),
    path('messages_del', views.messages_del, name='messages_del'),
    path('donnees_utilisateur', views.donnees_utilisateur, name='donnees_utilisateur'),
    path('importeFromGemaSCO', views.importeFromGemaSCO, name='importeFromGemaSCO'),
    path('RAZmodele', views.RAZmodele, name='RAZmodele'),
    path('importeCSV', views.importeCSV, name='importeCSV'),
    path('imprime_restitution', views.imprime_restitution, name='imprime_restitution'),
    path('imprime_memoire', views.imprime_memoire, name='imprime_memoire'),
    path('inscription_provisoire', views.inscription_provisoire, name='inscription_provisoire'),
    path('invite_inscription_provisoire', views.invite_inscription_provisoire, name='invite_inscription_provisoire'),
    path('doublonsSLM', views.doublonsSLM, name='doublonsSLM'),
    path('effaceEleve', views.effaceEleve, name='effaceEleve'),
    path('sortieParSiecle', views.sortieParSiecle, name='sortieParSiecle'),
    path('importeSiecle', views.importeSiecle, name='importeSiecle'),
    path('nouveaux_sortants_modifier', views.nouveaux_sortants_modifier, name='nouveaux_sortants_modifier'),
    path('tableauSortantsPasAjour', views.tableauSortantsPasAjour, name='tableauSortantsPasAjour'),
    path('modificationParSiecle', views.modificationParSiecle, name='modificationParSiecle'),
    path('entreeParSiecle', views.entreeParSiecle, name='entreeParSiecle'),
    path('cahier_cautions', views.cahier_cautions, name='cahier_cautions'),
    path('print_etat_classe', views.print_etat_classe, name='print_etat_classe'),
    path('livres_pour', views.livres_pour, name='livres_pour'),
    path('listes_eleves', views.listes_eleves, name='listes_eleves'),
    path('classe_pour_prets', views.classe_pour_prets, name='classe_pour_prets'),
    path('classe_pour_retours', views.classe_pour_retours, name='classe_pour_retours'),
    path('nouvelle_caution', views.nouvelle_caution, name='nouvelle_caution'),
    path('ancienne_caution', views.ancienne_caution, name='ancienne_caution'),
    path('fin_caution', views.fin_caution, name='fin_caution'),
    path('annule_caution', views.annule_caution, name='annule_caution'),
    path('commente_caution', views.commente_caution, name='commente_caution'),
    path('cautions', views.cautions, name='cautions'),
    path('affiche_caution_eleve', views.affiche_caution_eleve, name='affiche_caution_eleve'),
    path('cautions_classe', views.cautions_classe, name='cautions_classe'),
    path('maj_caution', views.maj_caution, name='maj_caution'),
    path('print_eleves_sans_livres', views.print_eleves_sans_livres, name='print_eleves_sans_livres'),
    path('print_eleves_avec_livres', views.print_eleves_avec_livres, name='print_eleves_avec_livres'),
    path('unifier_siecle', views.unifier_siecle, name='unifier_siecle'),
    path('revue_du_stock', views.revue_du_stock, name='revue_du_stock'),
    path('revue', views.revue, name='revue'),
    path('au_pilon', views.au_pilon, name='au_pilon'),
    path('eleve_scan', views.eleve_scan, name='eleve_scan'),
    path('eleve_invite', views.eleve_invite, name='eleve_invite'),
    path('boutique', views.boutique, name='boutique'),
    path('jeton_perime', views.jeton_perime, name='jeton_perime'),
    path('moisson', views.moisson, name='moisson'),
    path('mes_livres_en_boutique', views.mes_livres_en_boutique, name='mes_livres_en_boutique'),
    path('correlation', views.correlation, name='correlation'),
    path('correlation_code', views.correlation_code, name='correlation_code'),
    path('correlation_options_livres', views.correlation_options_livres, name='correlation_options_livres'),
    path('qr_boutique_print_go', views.qr_boutique_print_go, name='qr_boutique_print_go'),
    path('qr_boutique', views.qr_boutique, name='qr_boutique'),
]
